#ifndef PROGRESS_H
#define PROGRESS_H

class XProgress
{
public:
    XProgress();
    XProgress(short i_Max);
    virtual ~XProgress();
    
    void SetMax(short i_Max);
    
    // add progress and redraw
    void Step(short i_Step = 1);
      
private:
    void Initialize();
    
    short m_Current;
    short m_Min;
    short m_Max;
    
    unsigned short m_Width;
    unsigned short m_Height;
};

#endif // PROGRESS_H
